#include <iostream>
using namespace std;
int main()
{
    int T,n,c,p,br;
    cin>>T;
    for(int i=1; i<T; i++)
    {
        cin>>n;
        int x=n;
        int a[n+1];
        for(int i=1;i<=n;i++)
        {
            p=1;
            while(i>0)
            {
                c=i%10;
                i=(i-c)/10;
                p=p*c;
            }
            a[i]=p;
        }
        for (int i=1; i<n+1;i++)
        {
            br=0;
            for(int j=2; j<n+1;j++)
            {
                if (a[i]==a[j])
                    br++;
            }
            if(br>0)
                x=x-1;
        }
        cout<<x;
    }
    return 0;
}